searchData={"items":[{"type":"module","title":"Chr","doc":"Chr module","ref":"Chr.html"},{"type":"function","title":"Chr.busiest_day/1","doc":"busiest day","ref":"Chr.html#busiest_day/1"},{"type":"function","title":"Chr.daily_activity/1","doc":"Daily Activity","ref":"Chr.html#daily_activity/1"},{"type":"function","title":"Examples - Chr.daily_activity/1","doc":"iex> Chr.daily_activity([\": 1709957744:0;cat .zsh_history\",\": 1709968544:0;cat .zsh_history\", \": 1710000944:0;cat .zsh_history\"])\n    [\n      {\"01\", 20},\n      {\"02\", 0},\n      {\"03\", 0},\n      {\"04\", 0},\n      {\"05\", 0},\n      {\"06\", 0},\n      {\"07\", 0},\n      {\"08\", 0},\n      {\"09\", 0},\n      {\"10\", 0},\n      {\"11\", 0},\n      {\"12\", 0},\n      {\"13\", 20},\n      {\"14\", 0},\n      {\"15\", 0},\n      {\"16\", 20},\n      {\"17\", 0},\n      {\"18\", 0},\n      {\"19\", 0},\n      {\"20\", 0},\n      {\"21\", 0},\n      {\"22\", 0},\n      {\"23\", 0},\n      {\"24\", 0}\n    ]","ref":"Chr.html#daily_activity/1-examples"},{"type":"function","title":"Chr.get_history_list/0","doc":"return command history","ref":"Chr.html#get_history_list/0"},{"type":"function","title":"Chr.pick_up_command/1","doc":"pick up command from history record","ref":"Chr.html#pick_up_command/1"},{"type":"function","title":"Examples - Chr.pick_up_command/1","doc":"iex> Chr.pick_up_command(\": 1707397937:0;cat ~/.zsh_history\")\n    \"cat\"\n\n    iex> Chr.pick_up_command(\": 1707397937:0;clear\")\n    \"clear\"","ref":"Chr.html#pick_up_command/1-examples"},{"type":"function","title":"Chr.pick_up_date/1","doc":"pick up date from DateTime","ref":"Chr.html#pick_up_date/1"},{"type":"function","title":"Examples - Chr.pick_up_date/1","doc":"iex> Chr.pick_up_date(~U[2021-03-31 00:00:00Z])\n    ~D[2021-03-31]","ref":"Chr.html#pick_up_date/1-examples"},{"type":"function","title":"Chr.pick_up_directory/1","doc":"pick up directory from history record","ref":"Chr.html#pick_up_directory/1"},{"type":"function","title":"Examples - Chr.pick_up_directory/1","doc":"iex> Chr.pick_up_directory(\": 1707397937:0;cd ~/projects/chr\")\n    \"~/projects/chr\"","ref":"Chr.html#pick_up_directory/1-examples"},{"type":"function","title":"Chr.pick_up_hour/1","doc":"pick up time from DateTime","ref":"Chr.html#pick_up_hour/1"},{"type":"function","title":"Chr.pick_up_local_datetime/1","doc":"pick up date from history record","ref":"Chr.html#pick_up_local_datetime/1"},{"type":"function","title":"Examples - Chr.pick_up_local_datetime/1","doc":"iex> Chr.pick_up_local_datetime(\": 1707397937:0;cat ~/.zsh_history\")\n    ~U[2024-02-08 22:12:17Z]","ref":"Chr.html#pick_up_local_datetime/1-examples"},{"type":"function","title":"Chr.pick_up_weekday/1","doc":"pick weekday from DateTime","ref":"Chr.html#pick_up_weekday/1"},{"type":"function","title":"Examples - Chr.pick_up_weekday/1","doc":"iex> Chr.pick_up_weekday(~U[2021-03-31 00:00:00Z])\n    3","ref":"Chr.html#pick_up_weekday/1-examples"},{"type":"function","title":"Chr.timestamp_to_datetime/1","doc":"timestamp to datetime","ref":"Chr.html#timestamp_to_datetime/1"},{"type":"function","title":"Examples - Chr.timestamp_to_datetime/1","doc":"iex> Chr.timestamp_to_datetime(\"1617226800\")\n    ~U[2021-03-31 21:40:00Z]","ref":"Chr.html#timestamp_to_datetime/1-examples"},{"type":"function","title":"Chr.timezone_offset/0","doc":"","ref":"Chr.html#timezone_offset/0"},{"type":"function","title":"Chr.top_commands/2","doc":"top commands","ref":"Chr.html#top_commands/2"},{"type":"function","title":"Chr.top_directories/1","doc":"top directories","ref":"Chr.html#top_directories/1"},{"type":"function","title":"Chr.weekly_activity/1","doc":"Weekly Activity","ref":"Chr.html#weekly_activity/1"},{"type":"function","title":"Examples - Chr.weekly_activity/1","doc":"iex> Chr.weekly_activity([\": 1709957744:0;cat .zsh_history\",\": 1710044144:0;cat .zsh_history\"])\n    [monday: 0, tuesday: 0, wednesday: 0, thursday: 0, friday: 0, saturday: 20, sunday: 20]","ref":"Chr.html#weekly_activity/1-examples"},{"type":"module","title":"Chr.Cli","doc":"CLI module","ref":"Chr.Cli.html"},{"type":"function","title":"Chr.Cli.main/1","doc":"main function","ref":"Chr.Cli.html#main/1"},{"type":"module","title":"Chr.Print","doc":"Print module","ref":"Chr.Print.html"},{"type":"function","title":"Chr.Print.count_stringify/3","doc":"count stringify","ref":"Chr.Print.html#count_stringify/3"},{"type":"function","title":"Chr.Print.percent_stringify/2","doc":"percent stringify","ref":"Chr.Print.html#percent_stringify/2"},{"type":"function","title":"Chr.Print.print_box/2","doc":"print box","ref":"Chr.Print.html#print_box/2"},{"type":"function","title":"Chr.Print.print_busiest_day/1","doc":"print busiest day","ref":"Chr.Print.html#print_busiest_day/1"},{"type":"function","title":"Chr.Print.print_count_bar/4","doc":"print count bar","ref":"Chr.Print.html#print_count_bar/4"},{"type":"function","title":"Chr.Print.print_count_number/4","doc":"print count number","ref":"Chr.Print.html#print_count_number/4"},{"type":"function","title":"Chr.Print.print_daily_activity/1","doc":"print daily activity","ref":"Chr.Print.html#print_daily_activity/1"},{"type":"function","title":"Chr.Print.print_logo/0","doc":"print logo","ref":"Chr.Print.html#print_logo/0"},{"type":"function","title":"Chr.Print.print_top_commands/2","doc":"print top commands","ref":"Chr.Print.html#print_top_commands/2"},{"type":"function","title":"Chr.Print.print_top_directories/1","doc":"print top directories","ref":"Chr.Print.html#print_top_directories/1"},{"type":"function","title":"Chr.Print.print_weekly_activity/1","doc":"print weekly activity","ref":"Chr.Print.html#print_weekly_activity/1"},{"type":"extras","title":"CHR","doc":"# CHR\n\nCHR(Command History Report): A command history report tool base on your shell history file.\n\n[![Hex.pm version](https://img.shields.io/hexpm/v/chr.svg)](https://hex.pm/packages/chr)\n[![Twitter: ThaddeusJiang](https://img.shields.io/twitter/follow/ThaddeusJiang.svg?style=social)](https://twitter.com/ThaddeusJiang)\n\n> Inspired by the Fig report, this tool aims to provide a similar experience for those not using Fig.\n\n![FigWrapped image](./docs/assets/fig-wrapped.png)","ref":"readme.html"},{"type":"extras","title":"Features - CHR","doc":"> [!IMPORTANT]\n> CHR does not collect any data. It only processes the data in your shell history file.\n\n- 🏆Top Commands\n- 📂Top Directories\n- 💦Busiest Day\n- 📅Weekly Activity\n- 🕙Daily Activity","ref":"readme.html#features"},{"type":"extras","title":"Install - CHR","doc":"requires Elixir to be installed\n\n```sh\nbrew install elixir\nmix escript.install hex chr\n```","ref":"readme.html#install"},{"type":"extras","title":"Usage - CHR","doc":"```\nchr\n```\n\n![A Command History Report generated by CHR](./docs/assets/v0.2.2.png)","ref":"readme.html#usage"},{"type":"extras","title":"Author - CHR","doc":"👤 **Thaddeus Jiang**\n\n- Website: https://thaddeusjiang.com/\n- Twitter: [@ThaddeusJiang](https://twitter.com/ThaddeusJiang)\n- Github: [@ThaddeusJiang](https://github.com/ThaddeusJiang)","ref":"readme.html#author"},{"type":"extras","title":"Acknowledgement - CHR","doc":"This has been possible due to the previous work of numerous people. In particular:\n\n- @borkdude - Author of babashka, thanks for helping me remove the manual data preparation requirement","ref":"readme.html#acknowledgement"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,49,46,50]}}